Bug 121593 - Search History improvement.
Search History improvement.
Status: RESOLVED FIXED
Product: versioncontrol
Classification: Unclassified
Component: Mercurial
6.x
All Windows XP
: P2 (vote)
: 6.x
Assigned To: issues@versioncontrol
issues@versioncontrol
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-09 15:30 UTC by Peter Pis
Modified: 2008-02-05 22:47 UTC (History)
0 users

See Also:
Issue Type: ENHANCEMENT
:


Attachments
Search History Summary (134.09 KB, image/jpeg)
2008-01-25 21:30 UTC, John Rice
Details
Search History Diff (157.42 KB, text/plain)
2008-01-25 21:30 UTC, John Rice
Details
Search History Diff - JPEG MIME Type :( (157.42 KB, image/jpeg)
2008-01-25 21:32 UTC, John Rice
Details
65119_cd452b28a9ca (2.79 KB, text/plain)
2008-01-30 10:12 UTC, John Rice
Details
65120_79247dd7bad1 - slow initial show on large repos (1.61 KB, text/plain)
2008-01-30 10:19 UTC, John Rice
Details
65391-218c59de124d - Show CSet ID and Initialize Date in From & To (3.09 KB, text/plain)
2008-01-31 21:15 UTC, John Rice
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Peter Pis 2007-11-09 15:30:42 UTC
Product Version: NetBeans IDE 6.0 RC1 (Build 200711090000)
Java: 1.6.0_03; Java HotSpot(TM) Client VM 1.6.0_03-b05
System: Windows XP version 5.1 running on x86; Cp1252; en_GB (nb)
Userdir: D:\ide\60daily\user

Currently there is only textual output for "Search History" and it would be great if there is implemented something like
for "CVS" and "Subversion" - Search History panel. Some fields for filtering: user name, date from and to... Also
"Summary" and "Diff" section would of great help to all.
Comment 1 John Rice 2008-01-25 21:23:56 UTC
Ported Search History Support from SVN and removed textual history output.
Supports Summary and Diff view and Searching using all search criteria.

Limitations: 
1. Does not support Rollback, will add RFE for it.
2. Copied files - should indicate this on the Summary - currently limitation of Mercurial, Issue931
3. Searching - limitation in Mercurial, you can only search by From/To Dates or From/To Revisions, you can't mix Rev and
Date.
4. Browse - not enabled, no plan to support.


IDE:-------------------------------------------------
IDE: [25/01/08 21:16] Committing started
cvs server: scheduling file `RevisionNodeChildren.java' for addition
cvs server: scheduling file `SearchExecutor.java' for addition
cvs server: scheduling file `HgLogMessage.java' for addition
cvs server: scheduling file `FileEnvironment.java' for addition
cvs server: scheduling file `Divider.java' for addition
cvs server: scheduling file `SearchHistoryAction.java' for addition
cvs server: scheduling file `SearchCriteriaPanel.java' for addition
cvs server: scheduling file `RevisionNode.java' for addition
cvs server: scheduling file `HgLogMessageChangedPath.java' for addition
cvs server: scheduling file `SummaryView.java' for addition
cvs server: scheduling file `SearchHistoryPanel.form' for addition
cvs server: scheduling file `DiffTreeTable.java' for addition
cvs server: scheduling file `SearchHistoryPanel.java' for addition
cvs server: scheduling file `SearchHistoryTopComponent.java' for addition
cvs server: scheduling file `DiffResultsView.java' for addition
cvs server: scheduling file `RepositoryRevision.java' for addition
cvs server: scheduling file `SearchCriteriaPanel.form' for addition
cvs server: use 'cvs commit' to add these files permanently
RCS file:
/shared/data/ccvs/repository/versioncontrol/mercurial/src/org/netbeans/modules/mercurial/ui/log/SearchCriteriaPanel.form,v
done
Checking in ui/log/SearchCriteriaPanel.form;
/shared/data/ccvs/repository/versioncontrol/mercurial/src/org/netbeans/modules/mercurial/ui/log/SearchCriteriaPanel.form,v
 <--  SearchCriteriaPanel.form
initial revision: 1.1
done
RCS file:
/shared/data/ccvs/repository/versioncontrol/mercurial/src/org/netbeans/modules/mercurial/ui/log/RepositoryRevision.java,v
done
Checking in ui/log/RepositoryRevision.java;
/shared/data/ccvs/repository/versioncontrol/mercurial/src/org/netbeans/modules/mercurial/ui/log/RepositoryRevision.java,v
 <--  RepositoryRevision.java
initial revision: 1.1
done
RCS file:
/shared/data/ccvs/repository/versioncontrol/mercurial/src/org/netbeans/modules/mercurial/ui/log/DiffResultsView.java,v
done
Checking in ui/log/DiffResultsView.java;
/shared/data/ccvs/repository/versioncontrol/mercurial/src/org/netbeans/modules/mercurial/ui/log/DiffResultsView.java,v 
<--  DiffResultsView.java
initial revision: 1.1
done
RCS file:
/shared/data/ccvs/repository/versioncontrol/mercurial/src/org/netbeans/modules/mercurial/ui/log/SearchHistoryTopComponent.java,v
done
Checking in ui/log/SearchHistoryTopComponent.java;
/shared/data/ccvs/repository/versioncontrol/mercurial/src/org/netbeans/modules/mercurial/ui/log/SearchHistoryTopComponent.java,v
 <--  SearchHistoryTopComponent.java
initial revision: 1.1
done
RCS file:
/shared/data/ccvs/repository/versioncontrol/mercurial/src/org/netbeans/modules/mercurial/ui/log/SearchHistoryPanel.java,v
done
Checking in ui/log/SearchHistoryPanel.java;
/shared/data/ccvs/repository/versioncontrol/mercurial/src/org/netbeans/modules/mercurial/ui/log/SearchHistoryPanel.java,v
 <--  SearchHistoryPanel.java
initial revision: 1.1
done
RCS file:
/shared/data/ccvs/repository/versioncontrol/mercurial/src/org/netbeans/modules/mercurial/ui/log/DiffTreeTable.java,v
done
Checking in ui/log/DiffTreeTable.java;
/shared/data/ccvs/repository/versioncontrol/mercurial/src/org/netbeans/modules/mercurial/ui/log/DiffTreeTable.java,v 
<--  DiffTreeTable.java
initial revision: 1.1
done
RCS file:
/shared/data/ccvs/repository/versioncontrol/mercurial/src/org/netbeans/modules/mercurial/ui/log/SearchHistoryPanel.form,v
done
Checking in ui/log/SearchHistoryPanel.form;
/shared/data/ccvs/repository/versioncontrol/mercurial/src/org/netbeans/modules/mercurial/ui/log/SearchHistoryPanel.form,v
 <--  SearchHistoryPanel.form
initial revision: 1.1
done
Checking in ui/log/LogAction.java;
/shared/data/ccvs/repository/versioncontrol/mercurial/src/org/netbeans/modules/mercurial/ui/log/LogAction.java,v  <-- 
LogAction.java
new revision: 1.12; previous revision: 1.11
done
RCS file: /shared/data/ccvs/repository/versioncontrol/mercurial/src/org/netbeans/modules/mercurial/ui/log/SummaryView.java,v
done
Checking in ui/log/SummaryView.java;
/shared/data/ccvs/repository/versioncontrol/mercurial/src/org/netbeans/modules/mercurial/ui/log/SummaryView.java,v  <--
 SummaryView.java
initial revision: 1.1
done
RCS file:
/shared/data/ccvs/repository/versioncontrol/mercurial/src/org/netbeans/modules/mercurial/ui/log/HgLogMessageChangedPath.java,v
done
Checking in ui/log/HgLogMessageChangedPath.java;
/shared/data/ccvs/repository/versioncontrol/mercurial/src/org/netbeans/modules/mercurial/ui/log/HgLogMessageChangedPath.java,v
 <--  HgLogMessageChangedPath.java
initial revision: 1.1
done
RCS file:
/shared/data/ccvs/repository/versioncontrol/mercurial/src/org/netbeans/modules/mercurial/ui/log/RevisionNode.java,v
done
Checking in ui/log/RevisionNode.java;
/shared/data/ccvs/repository/versioncontrol/mercurial/src/org/netbeans/modules/mercurial/ui/log/RevisionNode.java,v  <--
 RevisionNode.java
initial revision: 1.1
done
Checking in ui/log/Bundle.properties;
/shared/data/ccvs/repository/versioncontrol/mercurial/src/org/netbeans/modules/mercurial/ui/log/Bundle.properties,v  <--
 Bundle.properties
new revision: 1.7; previous revision: 1.6
done
RCS file:
/shared/data/ccvs/repository/versioncontrol/mercurial/src/org/netbeans/modules/mercurial/ui/log/SearchCriteriaPanel.java,v
done
Checking in ui/log/SearchCriteriaPanel.java;
/shared/data/ccvs/repository/versioncontrol/mercurial/src/org/netbeans/modules/mercurial/ui/log/SearchCriteriaPanel.java,v
 <--  SearchCriteriaPanel.java
initial revision: 1.1
done
RCS file:
/shared/data/ccvs/repository/versioncontrol/mercurial/src/org/netbeans/modules/mercurial/ui/log/SearchHistoryAction.java,v
done
Checking in ui/log/SearchHistoryAction.java;
/shared/data/ccvs/repository/versioncontrol/mercurial/src/org/netbeans/modules/mercurial/ui/log/SearchHistoryAction.java,v
 <--  SearchHistoryAction.java
initial revision: 1.1
done
RCS file: /shared/data/ccvs/repository/versioncontrol/mercurial/src/org/netbeans/modules/mercurial/ui/log/Divider.java,v
done
Checking in ui/log/Divider.java;
/shared/data/ccvs/repository/versioncontrol/mercurial/src/org/netbeans/modules/mercurial/ui/log/Divider.java,v  <-- 
Divider.java
initial revision: 1.1
done
RCS file:
/shared/data/ccvs/repository/versioncontrol/mercurial/src/org/netbeans/modules/mercurial/ui/log/FileEnvironment.java,v
done
Checking in ui/log/FileEnvironment.java;
/shared/data/ccvs/repository/versioncontrol/mercurial/src/org/netbeans/modules/mercurial/ui/log/FileEnvironment.java,v 
<--  FileEnvironment.java
initial revision: 1.1
done
RCS file:
/shared/data/ccvs/repository/versioncontrol/mercurial/src/org/netbeans/modules/mercurial/ui/log/HgLogMessage.java,v
done
Checking in ui/log/HgLogMessage.java;
/shared/data/ccvs/repository/versioncontrol/mercurial/src/org/netbeans/modules/mercurial/ui/log/HgLogMessage.java,v  <--
 HgLogMessage.java
initial revision: 1.1
done
RCS file:
/shared/data/ccvs/repository/versioncontrol/mercurial/src/org/netbeans/modules/mercurial/ui/log/SearchExecutor.java,v
done
Checking in ui/log/SearchExecutor.java;
/shared/data/ccvs/repository/versioncontrol/mercurial/src/org/netbeans/modules/mercurial/ui/log/SearchExecutor.java,v 
<--  SearchExecutor.java
initial revision: 1.1
done
RCS file:
/shared/data/ccvs/repository/versioncontrol/mercurial/src/org/netbeans/modules/mercurial/ui/log/RevisionNodeChildren.java,v
done
Checking in ui/log/RevisionNodeChildren.java;
/shared/data/ccvs/repository/versioncontrol/mercurial/src/org/netbeans/modules/mercurial/ui/log/RevisionNodeChildren.java,v
 <--  RevisionNodeChildren.java
initial revision: 1.1
done
Checking in VersionsCache.java;
/shared/data/ccvs/repository/versioncontrol/mercurial/src/org/netbeans/modules/mercurial/VersionsCache.java,v  <-- 
VersionsCache.java
new revision: 1.9; previous revision: 1.8
done
Checking in util/HgProjectUtils.java;
/shared/data/ccvs/repository/versioncontrol/mercurial/src/org/netbeans/modules/mercurial/util/HgProjectUtils.java,v  <--
 HgProjectUtils.java
new revision: 1.11; previous revision: 1.10
done
Checking in util/HgCommand.java;
/shared/data/ccvs/repository/versioncontrol/mercurial/src/org/netbeans/modules/mercurial/util/HgCommand.java,v  <-- 
HgCommand.java
new revision: 1.68; previous revision: 1.67
done
Checking in util/Bundle.properties;
/shared/data/ccvs/repository/versioncontrol/mercurial/src/org/netbeans/modules/mercurial/util/Bundle.properties,v  <-- 
Bundle.properties
new revision: 1.23; previous revision: 1.22
done
Checking in ui/update/RevertModificationsAction.java;
/shared/data/ccvs/repository/versioncontrol/mercurial/src/org/netbeans/modules/mercurial/ui/update/RevertModificationsAction.java,v
 <--  RevertModificationsAction.java
new revision: 1.11; previous revision: 1.10
done
IDE: [25/01/08 21:16] Committing finished
Comment 2 John Rice 2008-01-25 21:30:18 UTC
Created attachment 55588 [details]
Search History Summary
Comment 3 John Rice 2008-01-25 21:30:56 UTC
Created attachment 55589 [details]
Search History Diff
Comment 4 John Rice 2008-01-25 21:32:10 UTC
Created attachment 55590 [details]
Search History Diff - JPEG MIME Type :(
Comment 5 John Rice 2008-01-30 09:20:15 UTC
changeset:   65113:b11ba246f638
tag:         tip
user:        jrice@netbeans.org
date:        Wed Jan 30 09:04:07 2008 +0000
summary:     #121593: Search history improvement - by default came up and executed search, stubbing this out to let user
customize search as on Large Repos can be slow to search whole history.

Comment 6 John Rice 2008-01-30 09:54:01 UTC
Still working on the feature - have some changes, tweaks/ performance issues to work on:
changeset:   65119:cd452b28a9ca
tag:         tip
user:        jrice@netbeans.org
date:        Wed Jan 30 09:48:47 2008 +0000
summary:     #121593: Search history improvement - set tite from context

Comment 7 John Rice 2008-01-30 10:12:17 UTC
Created attachment 55738 [details]
65119_cd452b28a9ca
Comment 8 John Rice 2008-01-30 10:18:39 UTC
Allow Search History on Projects without any history, just initialized. Result is dialog comes up and the default search
returns no results. This change has a big effect on initial display of the Search History dialog for large rpos.

changeset:   65125:3b4c6b1b67bf
tag:         tip
user:        jrice@netbeans.org
date:        Wed Jan 30 10:14:12 2008 +0000
summary:     #121593: Search history improvement - remove expensive check for history causes delay at startup
Comment 9 John Rice 2008-01-30 10:19:53 UTC
Created attachment 55739 [details]
65120_79247dd7bad1 - slow initial show on large repos
Comment 10 John Rice 2008-01-31 21:14:34 UTC
changeset:   65391:218c59de124d
user:        jrice@netbeans.org
date:        Thu Jan 31 20:58:08 2008 +0000
files:       mercurial/src/org/netbeans/modules/mercurial/ui/log/HgLogMessage.java
mercurial/src/org/netbeans/modules/mercurial/ui/log/SearchCriteriaPanel.java
mercurial/src/org/netbeans/modules/mercurial/ui/log/SummaryView.java
description:
#121593: Mercurial Search History - show CSet Short ID as well as revision and set From & To with todays date to allow
easy initial but limited search.


Comment 11 John Rice 2008-01-31 21:15:55 UTC
Created attachment 55876 [details]
65391-218c59de124d - Show CSet ID and Initialize Date in From & To
Comment 12 John Rice 2008-02-05 22:47:05 UTC
Fixed format of Revert to popup. Functionally complete, separate bug logged to add Rollback, so closing the bug.

Mercurial Push
--------------
INFO Changesets to push:
changeset:   65982:4d02a62b80ed
user:        jrice@netbeans.org
date:        Tue Feb 05 22:40:14 2008 +0000
files:       mercurial/src/org/netbeans/modules/mercurial/ui/log/SummaryView.java
description:
#121593: Search History - Revert to popup menu showing revision incorrectly formated


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo